#!/usr/local/bin/perl

$max_time =  600;
$NN = 16;

$leader = 3;
$scout = 1;

$interval = 10.0;
$rate = 1/$interval;
$count = $max_time  * $rate;
$size = 64;
$start_time = 5.0;

$CP = 'sa.cp';

if (!open(CP,">$CP")) {
    Msg("Can't write communication pattern file $CP\n");
    return -1;
}

for ($i = 1; $i <= $NN; $i++) {
    my $buf = sprintf("%f %d -> %d cbr %d %f %d",
		      $start_time,
		      $i,
		      $leader,
		      $count,
		      $rate,
		      $size);
    print CP <<"CBR"#
#
# $buf
#
set cbr_($i) [\$ns_ create-connection  CBR \$node_($i) \\
	      CBR \$node_($leader) 0]
\$cbr_($i) set packetSize_ $size
\$cbr_($i) set interval_ $interval
\$cbr_($i) set random_ 1
\$cbr_($i) set maxpkts_ $count
\$ns_ at $start_time "\$cbr_($i) start"
CBR

}
